StartElement (xmlbeans API)

org.apache.xmlbeans.xml.stream

## Interface StartElement

- All Superinterfaces:
    XMLEvent

      public interface StartElement
      extends XMLEvent

  The StartElement interface provides access to information about start elements
  Since:
    Weblogic XML Input Stream 1.0
  See Also:
    `AttributeIterator`

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlbeans.xml.stream.XMLEvent

      `CHANGE_PREFIX_MAPPING, CHARACTER_DATA, COMMENT, END_DOCUMENT, END_ELEMENT, END_PREFIX_MAPPING, ENTITY_REFERENCE, NULL_ELEMENT, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT, START_PREFIX_MAPPING, XML_EVENT`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Attribute` | `getAttributeByName(XMLName name)` Returns the attribute referred to by this name
    `AttributeIterator` | `getAttributes()` Returns an AttributeIterator of non-namespace declared attributes
    `AttributeIterator` | `getAttributesAndNamespaces()` Returns the union of declared attributes and namespaces
    `Map<String,String>` | `getNamespaceMap()` Gets a java.util.Map from prefixes to URIs in scope for this element.
    `AttributeIterator` | `getNamespaces()` Returns an AttributeIterator of namespaces declared in this element
    `String` | `getNamespaceUri(String prefix)` Gets the value that the prefix is bound to in the context of this element.

    - ### Methods inherited from interface org.apache.xmlbeans.xml.stream.XMLEvent

      `getLocation, getName, getSchemaType, getType, getTypeAsString, hasName, isChangePrefixMapping, isCharacterData, isEndDocument, isEndElement, isEndPrefixMapping, isEntityReference, isNull, isProcessingInstruction, isSpace, isStartDocument, isStartElement, isStartPrefixMapping`

- - ### Method Detail

    - #### getAttributes

          AttributeIterator getAttributes()

      Returns an AttributeIterator of non-namespace declared attributes

    - #### getNamespaces

          AttributeIterator getNamespaces()

      Returns an AttributeIterator of namespaces declared in this element

    - #### getAttributesAndNamespaces

          AttributeIterator getAttributesAndNamespaces()

      Returns the union of declared attributes and namespaces

    - #### getAttributeByName

          Attribute getAttributeByName(XMLName name)

      Returns the attribute referred to by this name

    - #### getNamespaceUri

          String getNamespaceUri(String prefix)

      Gets the value that the prefix is bound to in the context of this element. Returns null if the prefix is not bound in this context

    - #### getNamespaceMap

          Map<String,String> getNamespaceMap()

      Gets a java.util.Map from prefixes to URIs in scope for this element.